@charset "utf-8";

.question-container {
  background-color: #f8f8f8;
  padding: 35px 40px 40px 40px;
}

.qa-wrap {
  display: flex;
  align-items: center;
  gap: 15px;
  padding-bottom: 40px;
}

.qa-wrap:first-child {
  padding-bottom: 20px;
}

.qa {
  font-size: 50px;
  font-weight: bold;
  color: #bbb;
}

.question {
  font-size: 26px;
  font-weight: bold;
}

.answer {
  font-size: 18px;
}

.dia-card {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.card-4c::before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 25px;
  height: 25px;
  background-color: #e3eef1;
  clip-path: polygon(0 0, 100% 0, 0 100%);
}

.card-4c {
  position: relative;
  padding: 24px 20px;
  background-color: #fff;
}

.card-4c::after {
  content: '';
  position: absolute;
  bottom: 0;
  right: 0;
  width: 25px;
  height: 25px;
  background-color: #e3eef1;
  clip-path: polygon(100% 100%, 0% 100%, 100% 0%);
}

.card-heading {
  text-align: center;
  line-height: 1.3;
}

.card-title {
  color: var(--dark-color);
  font-size: 22px;
  font-weight: bold;
  padding-bottom: 0;
}

.ruby {
  font-size: 12px;
}

/* ======== アコーディオン ======== */
.accordion-wrap {
  border-bottom: 1px solid var(--pale-color);
}

.accordion-header {
  width: 100%;
  background: var(--main-color);
  padding: 1.2rem 2rem;
  border: none;
  cursor: pointer;
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.accordion-title {
  text-align: left;
  font-family: inherit;
  font-size: 18px;
  font-weight: 500;
}

.accordion-header button {
  background: none;
  border: none;
}

.accordion-icon {
  width: 20px;
  height: 20px;
}

.accordion-header:hover {
  background: var(--accent-color);
}

.accordion-content {
  display: none;
  padding: 40px 60px 40px 60px;
}

/* ======== アコーディオン内容 ======== */
.accordion-content dl {
  padding-bottom: 1.5rem;
}

.accordion-content img {
  padding-bottom: 1rem;
}

.accordion-content img {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.accordion-sub-title {
  font-size: 20px;
  font-weight: bold;
  padding: 0 0 0 0.7rem;
  margin-bottom: 2rem;
  border-left: solid 6px var(--accent-color);
}

.accordion-item {
  padding-bottom: 3rem;
}

.accordion-item:last-child {
  padding-bottom: 0;
}

.medium-table {
  max-width: 60%;
  display: grid;
  grid-template-columns: 40% 1fr;
  margin: 0 auto;
}

.wide-table {
  max-width: 80%;
  display: grid;
  grid-template-columns: 30% 1fr;
  margin: 0 auto;
}

.medium-table dt:first-child,
.medium-table dt:first-child + dd,
.wide-table dt:first-child,
.wide-table dt:first-child + dd {
  border-top: 1px solid #ddd;
}

.medium-table dt,
.wide-table dt {
  text-align: center;
  padding: 1rem 1rem;
  border-bottom: 1px solid #ddd;
  background-color: #f5f5f5;
  line-height: 1.3;
}

.medium-table dd,
.wide-table dd {
  padding: 1rem 1.5rem;
  border-bottom: 1px solid #ddd;
  background-color: #fff;
}

.paragraph-margin {
  margin-bottom: 30px;
}

.text-img-wrap {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 40px;
}

.fancy-cut-img-wrap {
  display: inline-flex;
  justify-content: center;
  width: 100%;
}

.fancy-cut-img-wrap img {
  margin: 0 0;
}

.img-wrap {
  display: inline-flex;
  justify-content: center;
  width: 100%;
}

.img-wrap img {
  margin: 0 0;
}

.diamond-anatomy {
  max-width: 400px;
}

.heart-cupid img {
  width: 220px;
}

.heart-cupid p {
  text-align: center;
}

.sorting {
  max-width: 350px;
}

.grading-report {
  font-size: 16px;
  padding-top: 0.5rem;
  text-align: center;
}

.diamond-origins {
  display: flex;
  flex-wrap: wrap;
  gap: 20px 50px;
  justify-content: center;
}

.diamond-origins-map {
  width: 600px;
  margin-bottom: 1rem;
}

.maintenance-list li {
  position: relative;
  padding-left: 1.2em;
  margin-bottom: 1rem;
}

.maintenance-list li::before {
  content: '⚫︎';
  position: absolute;
  left: 0;
  top: 0.3em;
  font-size: 12px;
  color: var(--pale-color);
}

/* ======== クラリティ-表 ======== */
.clarity-table {
  width: 100%;
  border-collapse: collapse;
}

.clarity-table-wrap {
  padding-bottom: 30px;
}

.clarity-table th, .clarity-table td {
  padding: 1rem;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  vertical-align: middle;
}

tbody tr td:nth-child(1),
tbody tr td:nth-child(2) {
  text-align: center;
}

tbody tr td:nth-child(2) {
  line-height: 1.3;
}

.clarity-table thead {
  background: #f5f5f5;
}

.grade-symbol {
  font-size: 20px;
  font-weight: bold;
}

/* PCのみ */
@media screen and (min-width: 1025px) {
}

/* タブレット */
@media screen and (max-width: 1024px) {
  .dia-card {
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
  }

  .accordion-content {
  padding: 40px 0 40px 0;
  }

  .diamond-anatomy {
    width: 50%;
  }

  .maintenance-list li {
    margin-top: 0.5rem;
  }
}

/* スマートフォン */
@media screen and (max-width: 767px) {
  .question-container {
    padding: 20px 20px 30px 20px;
  }

  .qa-wrap {
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    padding-bottom: 20px;
  }

  .qa-wrap:first-child {
    padding-bottom: 10px;
  }

  .qa {
    font-size: 32px;
    padding-bottom: 0.1rem;
  }

  .question {
    font-size: 20px;
    line-height: 1.3em;
  }

  .answer {
    font-size: 16px;
  }

  .dia-card {
    grid-template-columns: repeat(1, 1fr);
    gap: 15px;
  }

  .card-4c {
    padding: 20px 20px;
  }

  .card-text {
    font-size: 15px;
  }



  /* ======== アコーディオン ======== */
  .accordion-header {
    padding: 1rem 1.2rem;
  }

  .accordion-content {
    padding: 30px 0 30px 0;
  }

  /* ======== アコーディオン内容 ======== */
  .accordion-content p,
  .accordion-content img,
  .accordion-content dl {
    padding-bottom: 1.2rem;
  }

  .accordion-sub-title {
    font-size: 18px;
    margin-bottom: 1.7rem;
  }

  .accordion-item {
    padding-bottom: 1.5rem;
  }

  dt, dd {
    font-size: 14px;
  }

  .medium-table, .wide-table {
    max-width: 100%;
    grid-template-columns: 45% 1fr;
  }

  .medium-table dt, .wide-table dt {
    padding: 0.9rem 0.8rem;
  }

  .medium-table dd, .wide-table dd {
    padding: 0.9rem 0.8rem;
  }

  .text-img-wrap {
    flex-direction: column;
    gap: 0;
  }

  .diamond-anatomy {
    width: 90%;
  }

  .fancy-cut-img-wrap {
    display: flex;
    flex-direction: column;
    width: 80%;
    align-items: center;
    margin: 0 auto;
    gap: 5px;
    padding-bottom: 5px;
  }

  .diamond-origins {
    justify-content: flex-start;
    gap: 30px 50px;
  }


  /* ======== クラリティ-表 ======== */
  .clarity-table-wrap {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }

  .clarity-table {
    min-width: 600px;
    font-size: 14px;
  }

  .grade-symbol {
    font-size: 18px;
  }

  .clarity-table th, .clarity-table td {
    padding: 0.6rem;
  }

  tbody tr td:nth-child(2) {
    line-height: 1.5;
  }
}